Subject: Re: bug#26987: [PATCH 2/2] build: pull: Fix compilation list construction.
From: [email-masked] (Ludovic Courtès)
To: Mathieu Othacehe <[email-masked]>
Cc: [email-masked]
Date: Thu, 25 May 2017 14:33:04 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Mathieu Othacehe <[email-masked]> skribis:

>> I'm having a hard time tring to understand ,trace output.
>
> I get why, it's because guile-ssh is not in my %load-path. So loading
> "ssh/session.scm" fails in "source-module-dependencies".
>
> It's a bit of a vicious circle here : if resolve-interface '(ssh
> session) fails, depends-on-guile-ssh? will fail too.
>
> I'm note sure we can depend on source-module-closure to do the job here.

I believe this is fixed by commit
20ed093977cc80ba1729c38e05ae7955a38069a6, which follows a modification
to the ‘source-module-closure’ so that callers can catch
missing-dependency errors.

Please let me know what you think!

After that, you should be able to reinstate the (guix git) commit,
provided build-aux/build-self.scm does:

  (define guile-git
    (package-for-current-guile "guile-git"
                               "guile2.2-git"
                               "guile2.0-git"))

and passes that down to ‘build-guix’.

Thanks,
Ludo’.